<?php
namespace Famelo\PDF\ViewHelpers\Fpdi;

/*                                                                        *
 * This script belongs to the TYPO3 Flow package "Famelo.Pdf".            *
 *                                                                        *
 * It is free software; you can redistribute it and/or modify it under    *
 * the terms of the GNU Lesser General Public License, either version 3   *
 * of the License, or (at your option) any later version.                 *
 *                                                                        *
 * The TYPO3 project - inspiring people to share!                         *
 *                                                                        */

use Neos\FluidAdaptor\Core\ViewHelper\AbstractViewHelper;

/**
 * @api
 */
class TemplateViewHelper extends AbstractViewHelper {
    /**
     * NOTE: This property has been introduced via code migration to ensure backwards-compatibility.
     * @see AbstractViewHelper::isOutputEscapingEnabled()
     * @var boolean
     */
    protected $escapeOutput = FALSE;

    /**
     * Constructor
     *
     * @api
     */
    public function __construct() {
        $this->registerArgument('path', 'string', 'template path', TRUE);
    }

    /**
     * This tag will not be rendered at all.
     *
     * @return void
     * @api
     */
    public function render() {
        $this->viewHelperVariableContainer->add('Famelo\Pdf\ViewHelpers\Fpdi\TemplateViewHelper', 'template', $this->arguments['path']);
    }
}
